Skip to main content
PUT
Request reserved funds

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Body

multipart/form-data
fileName
string
required

Name of the evidence file.

Example:

"wire_proof.pdf"

fileContent
file
required

The evidence file content. Allowed types are application/pdf, image/jpeg, and image/png.

transactionHash
string

The 0x-prefixed 32-byte EVM transaction hash of the confirmed burn transaction on Arc. Required for RWA Redemption Advance; rejected if provided for other credit line types.

Pattern: ^0x[0-9a-fA-F]{64}$
Example:

"0x5ba3602c1ffcbac77db82bf1360fe44f2042042c782e9114ea29ecb1708c239f"

Response

Successfully requested reserved funds.

data
object

A credit transfer (drawdown) from the credit line.